package de.srsoftware.artdmx;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Main {
    private static final Logger LOG = LoggerFactory.getLogger("ArtDmx");
    public static void main(String[] args) {
        byte lights = 8;
        var universe = new Universe("192.168.1.255",(byte)1);
        startLights(lights,universe);
    }

    private static void startLights(byte lights, Universe universe) {
        LOG.info("Setting up {} lights…",lights);
        for (byte i = 0; i<lights; i++){
            startLight(i,universe);
        }
    }

    private static void startLight(byte channel, Universe universe) {
        var light = new Light(universe,channel);
        new Thread(light).start();
    }
}