package de.srsoftware.artdmx;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Universe extends ArtNetLib{
    private static final Logger LOG = LoggerFactory.getLogger(Universe.class);
    private final byte[] data;
    private final byte univ;

    public Universe(String socketIp, byte universe) {
        super(socketIp);
        LOG.info("created universe {}",universe);
        data = new byte[512];
        univ = universe;
    }

    public synchronized void send(byte channel, byte val){
        LOG.info("sending {} on channel {}",val,channel);
        data[channel] = val;
        sendArtDmxPacket(data,univ,(byte)0,(byte)0);
    }
}
